<template>
  <div>
    <div class="mt-6 max-w-[50%] mx-auto text-left">
      <h1 class="mt-8 text-xl text-left">
        Lesson
        <span class="font-bold">
          {{ lessonNumString }}
        </span>
      </h1>
      <h2 class="mt-4 text-base text-lessons font-bold">
        Description
      </h2>
      <div class="mt-4">
        <slot name="desc">
          Missing description, please update lesson here...
        </slot>
      </div>
      <h2 class="mt-8 text-base text-lessons font-bold">
        Tasks
      </h2>
      <div class="mt-4">
        <ul
          v-if="tasks.length"
          class="list-disc pl-8 pt-2 space-y-2"
        >
          <li
            v-for="(task, index) in tasks"
            :key="index"
            v-html="task"
          />
        </ul>
        <ul v-else>
          Please update tasks...
        </ul>
      </div>
    </div>
    <div
      v-if="hasPlayground"
      class="mt-16 border-t-4"
    >
      <div class="min-h-[calc(100vh-4px)] relative p-5">
        <div class="absolute text-semibold opacity-75 text-lessons top-5 left-5 text-3xl text-bold">
          Playground
        </div>
        <slot name="playground">
          <div class="h-full absolute inset-0 opacity-50 text-3xl flex justify-center items-center">
            Space for developing...
          </div>
        </slot>
      </div>
    </div>
  </div>
</template>

<script>
export default {
  name: 'LessonDesc',
  props: {
    lessonNum: {
      type: Number,
      default: 0,
    },
    tasks: {
      type: Array,
      default: () => [],
    },
    hasPlayground: {
      type: Boolean,
      default: false,
    },
  },
  computed: {
    lessonNumString() {
      return this.lessonNum.toString();
    },
  },

};
</script>
